CUT(1)

NAME
cut - select portions of each line of a file

SYNOPSIS
cut -b list [-n] [file ...]
cut -c list [file ...]
cut -f list [-s] [-d delim] [file ...]

DESCRIPTION
The cut utility selects portions of each line (as specified by list) from each file and writes them to the standard output. If no file arguments are specified, or a file argument is a single dash (‘-’), cut reads from the standard input. The items specified by list can be in terms of column position or in terms of fields delimited by a special character. Column and field numbering starts from 1; output is in the same order as input, not in the order selected.

list is a comma or whitespace separated set of numbers and/or number ranges. Number ranges consist of a number, a dash (‘-’), and a second number which select the fields or columns from the first number to the second, inclusive. Numbers or number ranges may be preceded by a dash, which selects all fields or columns from 1 to the first number. Numbers or number ranges may be followed by a dash, which selects all fields or columns from the last number to the end of the line. Numbers and number ranges may be repeated, overlapping, and in any order. It is not an error to select fields or columns not present in the input line.

The options are as follows:

-b list
    The list specifies byte positions.

-c list
    The list specifies character positions.

-d delim
    Use the first character of delim as the field delimiter character. The default is the <TAB> character.

-f list
    The list specifies fields, separated by the field delimiter character. The selected fields are output, separated by the field delimiter character.

-n  Do not split multi-byte characters. A character is written to standard output if and only if the byte position holding its last byte is selected.

-s  Suppresses lines with no field delimiter characters. Unless specified, lines with no delimiters are passed through unmodified.

ENVIRONMENT

LC_CTYPE
    The character encoding locale(1). It decides which byte sequences form characters. If unset or set to "C", "POSIX", or an unsupported value, -c does the same as -b, -n has no effect, and -d uses the first byte of delim.

EXIT STATUS
The cut utility exits 0 if all input files are output successfully, and >0 if an error occurs.

EXAMPLES
Extract login names and shells from the system passwd(5) file as “name:shell” pairs:

    $ cut -d : -f 1,7 /etc/passwd

Show the names and login times of logged in users:

    $ who | cut -c 1-8,18-30

SEE ALSO
awk(1), paste(1)

STANDARDS
The cut utility is compliant with the p1003.1-2008 specification.

HISTORY
A cut command first appeared outside Bell Labs in AT&T UNIX III and has been available since 4.3BSD Reno.

AUTHORS
-nosplit The original Bell Labs version was written by Gottfried W. R. Luderer and the BSD version by Adam S. Moskowitz and Marciano Pitargue.